nvme_set_features_write_protect2(2)

NAME
nvme_set_features_write_protect2 - Set write protect feature

SYNOPSIS
int nvme_set_features_write_protect2 (int fd , __u32 nsid , enum nvme_feat_nswpcfg_state state , bool save , __u32 *result );

ARGUMENTS

fd  File descriptor of nvme device

nsid
    Namespace ID

state
    Write Protection State

save
    Save value across power states

result
    The command completion result from CQE dword0

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.